from django.urls import path
from .views import (
    CostSheetListView, CostSheetDetailView, CostSheetRecalculateView,
    CostSheetMemberView, CostSheetToolView
)

urlpatterns = [
    path('', CostSheetListView.as_view(), name='costsheet-list'),
    path('<int:pk>/', CostSheetDetailView.as_view(), name='costsheet-detail'),
    path('<int:pk>/recalculate/', CostSheetRecalculateView.as_view(), name='costsheet-recalculate'),
    path('<int:sheet_pk>/members/', CostSheetMemberView.as_view(), name='costsheet-members'),
    path('<int:sheet_pk>/tools/', CostSheetToolView.as_view(), name='costsheet-tools'),
]
